apiVersion: v1
kind: ServiceAccount
metadata:
{% if ((sa_annotations | default([])) | length > 0) or (sa_oauth_route | default(False)) %}
  annotations:
{% if sa_oauth_route | default(False) %}
    serviceaccounts.openshift.io/oauth-redirectreference.{{ sa_oauth_route }}: '{"kind":"OAuthRedirectReference","apiVersion":"v1","reference":{"kind":"Route","name":"{{ sa_oauth_route }}"{{'}'}}{{'}'}}'
{% endif %}
{% for annotation in sa_annotations | default([]) if annotation['key'] is defined %}
    {{ annotation['key'] }}: '{{ annotation['value'] }}'
{% endfor %}
{% endif %}
  name: "{{ sa_name }}"
  namespace: "{{ namespace }}"
{% if (sa_secrets | default([])) | length > 0 %}
secrets:
{% for it in sa_secrets %}
{% if it.host is defined %}
- name: tkn-{{ it.host | replace('.', '') }}
{% else %}
- name: tkn-{{ it.name }}
{% endif %}
{% endfor %}
{% endif %}
